using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;

namespace StackDemo
{
   class Program
   {
      static void Main(string[] args)
      {
         Stack s = new Stack();
         s.Push("Kraków");
         s.Push("Warszawa");
         s.Push("Wroc³aw");

         Console.WriteLine(s.Count.ToString());

         foreach (String str in s)
         {
            Console.WriteLine(str);
         }

         string city = (string)s.Pop();
         Console.WriteLine(city);
         string city2 = (string)s.Peek();
         Console.WriteLine(city2);
         Console.ReadLine();
      }
   }
}
